docker-build-master:
  # Official docker image.
  image: docker:latest
  stage: build
  services:
    - docker:dind
  variables:    
    IMAGE_NAME: $CI_REGISTRY_IMAGE:latest 
  before_script:
    - docker login  -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - echo $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG
    - docker build --pull -t $IMAGE_NAME -f Dockerfile .
    - docker push            $IMAGE_NAME
  only:
    - test # master
